/**
 * @param {Connection} connection
 * @param {TextDocuments<TextDocument>} documents
 * @param {Options} options
 */
export function configureUnifiedLanguageServer(connection: Connection, documents: TextDocuments<TextDocument>, { ignoreName, packageField, pluginPrefix, plugins, rcName }: Options): void;
/**
 * Create a language server for a unified ecosystem.
 *
 * @param {Options} options
 *   Configuration for `unified-engine` and the language server.
 */
export function createUnifiedLanguageServer(options: Options): void;
export type Point = import('unist').Point;
export type UnistPosition = import('unist').Position;
export type VFileMessage = import('vfile-message').VFileMessage;
export type Connection = import('vscode-languageserver').Connection;
export type Options = Pick<import('unified-engine').Options, 'ignoreName' | 'packageField' | 'pluginPrefix' | 'plugins' | 'rcName'>;
import { TextDocuments } from "vscode-languageserver/lib/common/server";
import { TextDocument } from "vscode-languageserver-textdocument";
